package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.sexam.model.paperstudent.EPaperStudentQuestion;
import com.xhkjedu.sexam.vo.paper.EPaperSQuestionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EPaperCorrectTeacherMapper {
    //待阅卷列表
    List<Map> listPending(@Param("teacherid") Integer teacherid);

    //已阅卷列表
    List<Map> listMarked(@Param("teacherid") Integer teacherid);

    //随机获取一条待批阅试题
    EPaperSQuestionVo getCorrectQuestion(@Param("epid") Integer epid, @Param("teacherid") Integer teacherid,
                                         @Param("qorders") String qorders, @Param("classids") String classids);

    //试题批阅情况
    EPaperSQuestionVo getCheckQuestion(@Param("epid") Integer epid, @Param("teacherid") Integer teacherid,
                                       @Param("qorder") Integer qorder);

    //修改试卷学生试题为批阅中
    void updateCheckQuestionById(@Param("epsqid") Integer epsqid, @Param("teacherid") Integer teacherid);

    //获取上一份批阅试题
    Map getPreQuestion(@Param("epid") Integer epid, @Param("teacherid") Integer teacherid);

    //阅卷记录
    List<Map> listRecord(@Param("epid") Integer epid, @Param("teacherid") Integer teacherid, @Param("qorder") Integer qorder);

    //批阅试题
    void correctQuestion(@Param("psq") EPaperStudentQuestion psq);

    //学生未批改试题数量
    Integer getNotCorrect(@Param("epsid") Integer epsid);

    //修改学生试卷批阅状态
    void updateCheckStuById(@Param("epsid") Integer epsid, @Param("checkid") Integer checkid);
}