package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_paper_student_question")
@Data
public class EPaperStudentQuestion extends BaseBean {
    @Id
    //考试试卷学生题库试题表
    private Integer epsqid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //试卷id
    private Integer epid;

    //试卷学生id
    private Integer epsid;

    private Integer eptqid;//试卷中试题id

    //试题id
    private String questionid;

    //题号
    private String qn;

    //试题排序
    private Integer qorder;

    //是否作答0未作答1已作做答
    private Integer answered;

    //答案类型1选择题、图片2纯文本
    private Integer answertype;

    //学生答案（选项、图片）
    private String stuanswer;

    //学生答案（纯文本）
    private String stuanswertxt;

    //是否转换0未转换1已转换2转换失败
    private Integer converted;

    //提交时间
    private Integer answertime;

    //单题花费时间(单位秒)
    private Integer costtime;

    //试题分值
    private Double qscore;

    //学生得分
    private Double stuscore;

    //是否批改0未批改1批改中2已批改
    private Integer checked;

    //批改人
    private Integer checkid;

    //批改时间
    private Integer checktime;

    //优秀试卷0默认1优秀
    private Integer good;

    //违纪试卷0默认1违纪
    private Integer bad;

    //学生答题卡作答图片
    private String stupic;

}